Bug 88824 - Update GPG expired key
Summary: Update GPG expired key
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Account Modification Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-27 13:19 UTC by Jonas Ådahl
Modified: 2018-03-16 13:50 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
New public key (49.18 KB, text/plain)
2015-01-27 13:19 UTC, Jonas Ådahl
Details
New public key, signed by itself (50.03 KB, text/plain)
2015-01-27 13:20 UTC, Jonas Ådahl
Details

Description Jonas Ådahl 2015-01-27 13:19:38 UTC
Created attachment 112882 [details]
New public key

Hi,

My GPG key seems to have expired (I get the error: ==> <type 'exceptions.Exception'>: Signature has expired). The updated public key (attached) is valid until Jul 2016.

I also attached a clear-signed version of the public key, signed with itself. I suppose it should be possible to verify (while ignoring expiration) that the new public key is signed with the same private key as the current public key.
Comment 1 Jonas Ådahl 2015-01-27 13:20:13 UTC
Created attachment 112883 [details]
New public key, signed by itself
Comment 2 Martin Peres 2015-02-01 08:34:55 UTC
Hey,

What is your account name?
Comment 3 Jonas Ådahl 2015-02-01 08:41:25 UTC
My account name is "jadahl".
Comment 4 Daniel Stone 2018-03-16 11:56:30 UTC
We don't usually change over GPG keys over Bugzilla. Especially as this request is so old, it's difficult to authenticate it. I'll close this bug, but please reopen if you need our help, and we can try to figure out how to make it happen.
Comment 5 Jonas Ådahl 2018-03-16 13:05:13 UTC
FWIW, I still need to explcitly ssh-add the key from my old laptop to be able to push things to fdo because of this.

If not via bugzilla, where do I update GPG keys?
Comment 6 Daniel Stone 2018-03-16 13:50:39 UTC
Resolved out-of-band


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.